Jump to content
TNG Community
Sign in to follow this  
Ken Roy

Installing Mods on an upgraded TNG v13 system

Recommended Posts

Ken Roy

It appears that we need some additional information for those who are upgrading from a previous level of TNG and installing mods.

1 - There appears to be misinterpretation of the note that some of us are using that displays at the top of the Status column for the mod.  

For Example,

* The Same Person Link mod shows "Create the Same Person Link table on initial install" which is meant to remind first time installers they need to click the "Create Same Person Link Table" after installing the mod, if you never used the mod in a previous TNG version

That is not the reason you are getting a Cannot Install status. You need to expand the Status column and find the error that is preventing installation

* The OpenStreetMap mod shows "Requires OSM in the beginning of the map key in Map Settings" which is meant to alert you of a change from the previous implementation in TNG v12 where you used an empty Map Key to indicate you were using the OpenStreetMap

That is not the reason why the mod shows a Cannot Install status.  You need to expand the Status column and find the error that is preventing installation

In both of the shown example, the reason for the Cannot Install status was that upgrade cust_text.php was not done as part of the TNG v12 upgrade.   You should click the Recommended Actions tab in Mod Manager and then click the Update button at the bottom to update your cust_text.php files to the TNG v12 Mod Guidelines for the cust_text.php anchor.

2 - Another issue, is that because the Admin Layout changed in TNG v13 and because you upgraded, the admin_leftbanner.php and admin_rightbanner.php files are still there, you are able to install some of the TNG v12 of mods like the Census Plus International.  

You need to check the Mods for TNG v13 wiki article
https://tng.lythgoes.net/wiki/index.php?title=Category:Mods_for_TNG_v13 and get the correct versions of the mods.  If there is a TNG v13 of the mod, do not install a v12 or v11 of mods.

Share this post


Link to post
Share on other sites
Ken Roy

Note that if you upgraded to TNG v12 previously and did not update the cust_text.php files as indicated in the Note for the TNG v12 upgrade, you should use the Mod Manager Recommended Action tab and update your cust_text.php files if you have been using TNG for a long-time.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×